summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2022-09-27 09:09:50 +0100
committerV3n3RiX <venerix@koprulu.sector>2022-09-27 09:09:50 +0100
commit2be230a2a252e8e744f11a8b38e9a0097ddc9b25 (patch)
treec7c6cd81169223a110c28f74dfc1b82b3f52bcb1 /dev-python
parent8d3ae5c288a62253ed3bc3d71336bf2061cfdb51 (diff)
gentoo auto-resync : 27:09:2022 - 09:09:50
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-15.0.0.ebuild34
-rw-r--r--dev-python/Faker/Manifest2
-rw-r--r--dev-python/Levenshtein/Levenshtein-0.20.4.ebuild38
-rw-r--r--dev-python/Levenshtein/Manifest2
-rw-r--r--dev-python/Manifest.gzbin262184 -> 262188 bytes
-rw-r--r--dev-python/boto3/Manifest2
-rw-r--r--dev-python/boto3/boto3-1.24.81.ebuild68
-rw-r--r--dev-python/botocore/Manifest2
-rw-r--r--dev-python/botocore/botocore-1.27.81.ebuild72
-rw-r--r--dev-python/ipykernel/Manifest2
-rw-r--r--dev-python/ipykernel/ipykernel-6.16.0.ebuild69
-rw-r--r--dev-python/jaraco-classes/Manifest2
-rw-r--r--dev-python/jaraco-classes/jaraco-classes-3.2.3.ebuild28
-rw-r--r--dev-python/jaraco-functools/Manifest2
-rw-r--r--dev-python/jaraco-functools/jaraco-functools-3.5.2.ebuild57
-rw-r--r--dev-python/jupyter_server/Manifest2
-rw-r--r--dev-python/jupyter_server/jupyter_server-1.19.0.ebuild76
-rw-r--r--dev-python/jupyterlab_server/Manifest2
-rw-r--r--dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild62
-rw-r--r--dev-python/mypy/Manifest2
-rw-r--r--dev-python/mypy/mypy-0.981.ebuild63
-rw-r--r--dev-python/sentry-sdk/Manifest2
-rw-r--r--dev-python/sentry-sdk/sentry-sdk-1.9.9.ebuild96
-rw-r--r--dev-python/sphinx-autodoc-typehints/Manifest2
-rw-r--r--dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.3.ebuild44
-rw-r--r--dev-python/stack_data/Manifest2
-rw-r--r--dev-python/stack_data/stack_data-0.5.0.ebuild2
-rw-r--r--dev-python/starlette/Manifest2
-rw-r--r--dev-python/starlette/starlette-0.21.0.ebuild69
-rw-r--r--dev-python/trove-classifiers/Manifest12
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.6.26.ebuild34
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild34
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.8.24.ebuild34
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.8.7.ebuild34
-rw-r--r--dev-python/trove-classifiers/trove-classifiers-2022.9.26.ebuild (renamed from dev-python/trove-classifiers/trove-classifiers-2022.6.23.ebuild)0
-rw-r--r--dev-python/yamlpath/Manifest2
-rw-r--r--dev-python/yamlpath/yamlpath-3.6.6.ebuild52
37 files changed, 860 insertions, 148 deletions
diff --git a/dev-python/Faker/Faker-15.0.0.ebuild b/dev-python/Faker/Faker-15.0.0.ebuild
new file mode 100644
index 000000000000..d8e24e8d32e7
--- /dev/null
+++ b/dev-python/Faker/Faker-15.0.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/random2[${PYTHON_USEDEP}]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 2c98d4680262..7c7aed8a17f9 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -2,8 +2,10 @@ DIST Faker-14.0.0.tar.gz 1536015 BLAKE2B e3d0f5745203ac441bb4f4a4deb4ebc9045f532
DIST Faker-14.1.0.tar.gz 1598360 BLAKE2B 953dfd718b143e493ca2129f69ada12b6d5e5e3b04b5e2ebeedbd57855da1f8d7cb3bda3dfa1050debce4281d605ac4c10d74538422c5da41e72caaf10c2b2ad SHA512 50d0452d946e3899813ea1aa0b207451fc765e1ee3cc2196b13eb095a91a888e825064b63651b610240fe9e90158a318fca80dbcdbb7b5a70568bafa7653fb67
DIST Faker-14.2.0.tar.gz 1599246 BLAKE2B ec618ac03fe68dae72b9cc0a4a42390157ea669151756c2c8dc722a0de19d2c1a2207d318b4ac270d1aeefab298445cb92e43e4ab1d524d80e8bb1600c71b71f SHA512 cebeecd78635bcbf18d8332cdfcb28d65214b06d01b6f4b4e95fed37f03d1a32b8fa2b1e0c8ccaa2a34fbbda805a58dfde8d4f84391a791f95177cf8bca9ba5b
DIST Faker-14.2.1.tar.gz 1599112 BLAKE2B 23ab86f6cd5a00cd317a64130b8ce75a528735a845a097c19bff9d0367c0df015412ae0c82b6a6648bbe42b313170e7c334ebac5ecc6f9c9fd11917fc9be29a8 SHA512 f4ec29cacca87cd7d5778ce83a561b6932900de754a00d2d69432ff18566bc154da4ac04ff02a38dda22454409a727d7daf31253425ccd48c9e07e4eb9ca8395
+DIST Faker-15.0.0.tar.gz 1599358 BLAKE2B 1616cb798da131c26b187599a0769fabc40eafbddba48c3b80a94b62175519888f7f0edf40dcd31234bc96776270020aab7c1269aacd045805f2ee33b21f7d22 SHA512 17d1c78335263bd05c547aa66cfcba5130f11b7379754ad0f95230beb788bee4e07b8db4a907c8c029ebcedf519cf8cc4028bf31eb984820b5befd4570ee139b
EBUILD Faker-14.0.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-14.1.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-14.2.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
EBUILD Faker-14.2.1.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
+EBUILD Faker-15.0.0.ebuild 743 BLAKE2B 5018d7828a83837233d7e23c875e4c710665e4322e79329a49cc426d97b630627f9aa64df85f92449f06d1e11f772e8e84064b389b586b9ef5214d7200ffa305 SHA512 a8de56e0b42bedd66f8f9b5a512ff79d30b29e728c5d6227f6c9b4f11c22b284941f342ec8c531345e4a89af15aade1192941fa0f4400b2d3e2efb3bc9f7e724
MISC metadata.xml 474 BLAKE2B 337c8b17b4ca092edc2e59bd61dd847e4b9f2bd7e0651d07dad5b3e3eb4f311de9e27e6cad1f6a4835f618446cfa4cdb95e578a8af11498cf7bed1ec697990ce SHA512 35f4a2a50ad5589ba50e619670d1f1eac423fec920bb9c07b3f8bd7d7f2a0bb4e88dde286b062339b30ba304bd1a834bf3318c0b0ad0552ce9eb45fa72e5f44e
diff --git a/dev-python/Levenshtein/Levenshtein-0.20.4.ebuild b/dev-python/Levenshtein/Levenshtein-0.20.4.ebuild
new file mode 100644
index 000000000000..e6bbbc1a531a
--- /dev/null
+++ b/dev-python/Levenshtein/Levenshtein-0.20.4.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Functions for fast computation of Levenshtein distance, and edit operations"
+HOMEPAGE="
+ https://pypi.org/project/Levenshtein/
+ https://github.com/maxbachmann/Levenshtein/
+"
+SRC_URI="
+ https://github.com/maxbachmann/Levenshtein/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="
+ >=dev-cpp/rapidfuzz-cpp-1.7.0
+"
+RDEPEND="
+ <dev-python/rapidfuzz-3.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/cython[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.13.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/Levenshtein/Manifest b/dev-python/Levenshtein/Manifest
index d29e50e2d606..1777e248c829 100644
--- a/dev-python/Levenshtein/Manifest
+++ b/dev-python/Levenshtein/Manifest
@@ -1,5 +1,7 @@
DIST Levenshtein-0.20.3.gh.tar.gz 33573 BLAKE2B 2ba0b35cd15da645dae3e18ce7d57da685cc273bb3902e645bf6a0826f212fab0b91a5765fa6b9768fd6d5cca728a3f0e384f18a90e29fed571b71e03171dccb SHA512 3adde94e7f195aaae3361296d4ec2e7694c6afb92abcde866d659a827bfdfc2ab1fb28d92332966abd7da8392590cd96415b7f593bde8375b35bbe845e9ddfe3
+DIST Levenshtein-0.20.4.gh.tar.gz 34419 BLAKE2B ff15ef1d11d326d39a45781e729cc111cd8482ac2a2558b5623971dd8d5ae76833fc28e71afb0eed2f40b6a0d9323aeee4a3a3a77a172742239b70e70f65c775 SHA512 fef0f19e67ec5caae6a3ba42bba916fafcdc47c6ef5e5487cfe0a246ad0d9e393233269f986e3391a6443f707e64a9022531fa1a653597a952794ef402644dbe
DIST python-Levenshtein-0.12.2.tar.gz 50502 BLAKE2B d8992d30639e36aac1b85fada8f5273ed867aa3019208ffeb9972e999dad783d4ee16e1f6988c9306eb80f622b61fcf3a0a937b380c7a5acf50223268ed8de1d SHA512 97eac9d19121758af7620ad3963846e48434ceabb5376a83f28452015adf1a620620bfb53edb1c4f60b0fc8ec2b0faf35a105d7e2a0fc5df7a45fce81ba0dcdb
EBUILD Levenshtein-0.12.2.ebuild 630 BLAKE2B a56ef0d6431d51516f69a6a00dabec4681aa3e999fecfd904d34fee2dc1d4e8fca5ef47af6d388b0dcb72a9a1664f4d8ccb4124496d6ddb1306c7194aba06d1a SHA512 12021fce00cc5bb951cdfaba190a14f512bab14cef53b430504400bfa99daa91faa04a819fef750c7e558b0a99698fc52c8f52294d4ce47069efdf30a2d9600a
EBUILD Levenshtein-0.20.3.ebuild 840 BLAKE2B b1b57cc9e5899251cf2063b49e1841e7a96a90958c47bb92272acef797566321f203847971963fbc50fb38cccb1e723c58b9e5da63b9a7b900b53e74a60b6d3a SHA512 139af1c2ff5f4bdc3523b9121bd0217d20ca9e030be87123c9892e38af028480c928cb0d35130200f422ce66c8962997fb15b4de534648ffc752b229455b020a
+EBUILD Levenshtein-0.20.4.ebuild 840 BLAKE2B 9a20d78a5fb71c552ac57bd7448fb618b639c318947a9ce9c23c600687947ba185ec7df0cf96ec568e446f7c6c6e2045e1b948229cc354a1f096df581cc9f294 SHA512 bb203edba0f686c93392b8fb5eb26eb8019a3bda1cd19e8843a7cc3af0e97f1184f94147c869fa7928c1d445a5503a23f7f85465ebdc54fec77a8d2f7f432057
MISC metadata.xml 378 BLAKE2B 59900a9f2532c274a220466ff9bd5db4a4830b221119a95a0fdf82928b90c64b458b16c26257b69093ac08346bafbe54189bdb873bb8f119753a4f2243973eb9 SHA512 26b3ddc5d3843122a47941cb1e388e41f6a3f98e3f8d2f5108f50240b5c9005edb2b1e2df55c9046d48a8b4e07941f8ccd4fdee129f4ac948a47a6207b73c7ba
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 4328cdc2d11b..b7337ea94b95 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 381f9bb61a9e..6d66cce2e219 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -11,6 +11,7 @@ DIST boto3-1.24.75.gh.tar.gz 537974 BLAKE2B 00fbaca566c9dc782fa03f11c050477c32a1
DIST boto3-1.24.78.gh.tar.gz 538770 BLAKE2B ee690bceb7b04a8ef9bd4c3bea2abfa342ec7f5aa5cd60e03f2982f3dfb31a4f38847c687591677442abeb0a7197cb3e1125b3b1674223f165f31eb841968551 SHA512 002b366344be86bf1dccda41d4ae8d2421405de860dcc6e0a6b2889508026f91cfe7bbbfcaca55a59893233e1f7e756527dd0dcc2694f7fc8c9928601ae44fa4
DIST boto3-1.24.79.gh.tar.gz 539152 BLAKE2B 6b700c7100b290d06f261fbf70e56e3242d28af9aa4ea88399123fc0acd504769f29c2979b73e6cf28dee6126f0308b90e6c8d9c684fb2d0f7c08440635c2116 SHA512 c9e1063850979d9b3bc9cee4a530d182b7f2562d1072a67e64990880fa31850ec3f3ef68876a7d430a990c489b80a03c116715064acb4ab4dad444a6ee97d717
DIST boto3-1.24.80.gh.tar.gz 539716 BLAKE2B ccbbfa84e4e2274eb0275b9b2dcc0a4a78b139007829c4e3f880909f71e404be22c4461b687596bf12675c1212c6cf5b59c4383a042f60cb7919a10581fdc612 SHA512 aa3340e4bb9ae80f02fc70cf2be49d245e3dcc941b0b682c2827c1b8bb51d02e72ab7bf561e7d39397af8ca7ead7e115766fd4fd2eca18db2c551f55afb3e3b6
+DIST boto3-1.24.81.gh.tar.gz 540005 BLAKE2B 7c0425351aaa4ee854d6cb616880b653250475051f3a295686659f3c85b6c515b6e622af72f6e56f69ff23be4e4218f74cbe48f6377f0d17d321f1521ed1fe8f SHA512 a92a4d90254ecc5dd098d22c9628cf87e5d5341c7aaf8b704fbe6f6e693b7582b65179936a6745da4b14a629fb20d39b501748349e3a8640eb54f9298493f287
EBUILD boto3-1.24.56.ebuild 1579 BLAKE2B 394d8a1bb7a1036ab4821bc789c9eea285f8a6a7c21e751d60c94a53d5fdd37119eab54bfd19bfe0856b7557df04340f50c7cebbe631234e8f582e7d62af13ec SHA512 beee3b634e3b1d66365beb2e97b9d09188fa795e00d9d05f2101de423128741ee1f8ad8ae4b0c35f1e6c6473ce73cc3acf47d9141029b4435d39a9803a5fe1b2
EBUILD boto3-1.24.61.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.63.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
@@ -24,5 +25,6 @@ EBUILD boto3-1.24.75.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd536
EBUILD boto3-1.24.78.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.79.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-1.24.80.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
+EBUILD boto3-1.24.81.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
EBUILD boto3-9999.ebuild 1586 BLAKE2B e44044186aacf633782448f7e2b0f36918fd53655fba2d87578c4e639647a45672a6fd6d7835b5df6086394e5f77aa4e4e84397391ee6b3e73b12ac30a1e345e SHA512 67c33b742f620365e096327a32c0d491104bda656d5e4beb1390a8a65e360cf4e7338d5c99e04f0792560604dd0cb5d8bf3c94e6abf0be4f5b40adb0d71288a0
MISC metadata.xml 493 BLAKE2B 7d6324fc877ffe1d20c5369c2af0b09a7028f94d28f1841188913d0d8be7ea699c9d3f92c624992c4c96bd69615d3a1211a2483c76c56b7d3082492e43512523 SHA512 44420d8c03d5986f990b76369edfa8dfd7659b4952db3ad946fd05392ec594628a28745ad888d055d4f074d5214f61fcffafe6c04c4ab54109d45ac0371582bd
diff --git a/dev-python/boto3/boto3-1.24.81.ebuild b/dev-python/boto3/boto3-1.24.81.ebuild
new file mode 100644
index 000000000000..6edcc751d54b
--- /dev/null
+++ b/dev-python/boto3/boto3-1.24.81.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/boto3"
+ inherit git-r3
+ BOTOCORE_PV=${PV}
+else
+ SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+ # botocore is x.(y+3).z
+ BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
+fi
+
+RDEPEND="
+ >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.6.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index e297099a151b..8961e0e52039 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -11,6 +11,7 @@ DIST botocore-1.27.75.gh.tar.gz 9628845 BLAKE2B dcce68d2d24e621d8d56d2f3417a5bbc
DIST botocore-1.27.78.gh.tar.gz 9639497 BLAKE2B 38b3286227941216db66453201b73366ab28722f6f6e08388419b9db7bd4b25aad2c379cee6438ecc0c25fdbb732827117954454280e4aa367f1d579352f464d SHA512 bf182ac90c0d392a32f2d117145d2cbcf019ddbd3fed1205228a9b5721b08296f8948668c47b07feab6eb2ad2cf65f92a31d782c5ff3ecdf727466f7889c466d
DIST botocore-1.27.79.gh.tar.gz 9640519 BLAKE2B 35c2960c2c3e92f78e6903b102dbefe26e5cca1b25610abb059c81382dc816dbfbb260db98a921886e9cd2aff6d172396d5853c0529a7558d86889857fae75a2 SHA512 2e0c110f55aa9dd74fcfd3da3f87d14cb5ea53f67b7c867f13a7649809cee9cf3a55631e2daffa94da7ca709e5ad49db708a7821ffff8ccf992ebfbf9d5bbae9
DIST botocore-1.27.80.gh.tar.gz 9643079 BLAKE2B feec0b34c39b358eaff7f947fe83fc6dcd9926771b465c092e8071c334382d07d51a88fda775fc9fadae2544ac2f3e37c814bc9b8729730955b95d3efdf16b7b SHA512 f38ee5b252051a8208964387ff1550489c5900605d2aa5c69dc2d1229411015af1edaa51e9df4d56895c3fd2b4a56cca5179c1fd5aecbf5032ab80ce4c8f8b8e
+DIST botocore-1.27.81.gh.tar.gz 9663876 BLAKE2B 35da266dee35d717c0190378d4e73dbc018b9973a768476c4e675942e6f730901e7bcfbd2f700589877b1eb1fa85a20a29932c62d20a37a957045ea32cada7d1 SHA512 9ba40ddc75f812ce255ff668e9299313eaed44fb86b130a84ac624ace35ffd03bbb95fd88ce0848f8f8f9e0c48547e4433af6746f2063d57dd5d43d32bc7810e
EBUILD botocore-1.27.56.ebuild 1610 BLAKE2B 19f47b6c38de4ffc3a0623bc006b257260abb255ab63d084bcea3552b403d504ddfbe7191494aa8dba8d19a445b55c9dc6c977bf5f0877dba72a3ca69cdbff43 SHA512 fcc38a1393610e2eb729cfbf3a9f579ca840a8e712fe2123235cec4aefc68c96b099821282a68de737bef5e2d1f1f4b00e64e1665985f718201909e1b56994bb
EBUILD botocore-1.27.61.ebuild 1617 BLAKE2B d33413fa74479d5ca72e82609b4b1c57a33f6953d5acb82db1e2f9de7599190c69d8e633ac0da8417121a9959346723f509d5bb8945d1de63689046756ba303a SHA512 20aeccea53aa2e5d294739c9256fb590d21a89c216411383b1bc8c1ee25528ce4ac94fe3a210a1a6ff173b81c1d97b0972d611772963592a9c8be8039c12717a
EBUILD botocore-1.27.63.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
@@ -24,5 +25,6 @@ EBUILD botocore-1.27.75.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe
EBUILD botocore-1.27.78.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.27.79.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-1.27.80.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
+EBUILD botocore-1.27.81.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
EBUILD botocore-9999.ebuild 1808 BLAKE2B 720965dfc40c51389a8ca4ac210039f79bbe3047f583cb1bd4d52bdb9720cb2283a13a9f4337a62aca6869cd75d78dac6cc07436524e9720386177c733d686f3 SHA512 d3a3fbc0f957b58e8161ae3fffedb44462000077aa368dd2fb183bf6a084771bff4db46344a4d0b451833ea05d326b452155af92d190c313e1d982da7d72fc10
MISC metadata.xml 499 BLAKE2B e5aaa7da26f200c09adfdf38b68f656bbccbec627cb5d966b280ac2165334e7eec659c89075bcace748f58e2ec3e7d2998e54a688d56ecea2d30653c67dfd35a SHA512 103c554d5dbd967bf9b6e418b3913d9235e7e910d012160909ce0715134ed2e37b06e6a345395f9d16ce08d1cf51f3ce458bce93c6a978fd3dca6610f2acdbd0
diff --git a/dev-python/botocore/botocore-1.27.81.ebuild b/dev-python/botocore/botocore-1.27.81.ebuild
new file mode 100644
index 000000000000..d1a6948e70e5
--- /dev/null
+++ b/dev-python/botocore/botocore-1.27.81.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+LICENSE="Apache-2.0"
+SLOT="0"
+
+if [[ "${PV}" == "9999" ]]; then
+ EGIT_REPO_URI="https://github.com/boto/botocore"
+ inherit git-r3
+else
+ SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ "
+ KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+fi
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ 'dev-python/guzzle_sphinx_theme'
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ # fails on unrelated warnings
+ tests/unit/test_client.py::TestAutoGeneratedClient::test_BOTO_DISABLE_COMMONNAME
+ tests/unit/test_client.py::TestClientErrors::test_BOTO_DISABLE_COMMONNAME
+ )
+
+ epytest tests/{functional,unit} -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/ipykernel/Manifest b/dev-python/ipykernel/Manifest
index 0b1d318a2452..4276dbbcf0fb 100644
--- a/dev-python/ipykernel/Manifest
+++ b/dev-python/ipykernel/Manifest
@@ -1,7 +1,9 @@
DIST ipykernel-6.15.1.tar.gz 133140 BLAKE2B 7d63b55f2b8d883234258106b8239cf77031336ce6e7e38234490a031fc4a56861788210fdb2acd0f895e4df43257b0339ef1592e12d33b441e4ba9061acbd08 SHA512 10f2390a4edafea89fcc049d5e07ef542418a3a7b076efec1f02bc0a787e01280624cc543bb60604478cae63b58a86d031b549a6f872c7a8530043d670dbdc0e
DIST ipykernel-6.15.2.tar.gz 133297 BLAKE2B 05b92074dba2324a2bbbe58fb459f455e47236fcbed711b63c3bfd83978b1e80a7fe079c08fbfb031d9f182d2b24a265705f6540b6c87ee933b641beaee53f9d SHA512 14f1f819d67f16e9c5ea5705ce9c1827bd1ae44f742ca809c4402ef64b229e902f9a724c0609cbf225da595f4ed48cd14348f3c887d70bc18c4b017ec01de720
DIST ipykernel-6.15.3.tar.gz 136470 BLAKE2B 45279a6cfc85c3c2bafe9913b78077a3212bc61b961824f449cdf6ed6a34fe777e0fef1585bc7e4062f4e73124efd24a1c6a16e4168a03d31420836105c3ba55 SHA512 52e9b20b4b9ce691a42a64f535b41b9567a9849c87c0c9903d0b14dc6a00c57ab42d93b6bca8d955be8a31354722268006ce8b576664eb8a4b7f6a3400164c1d
+DIST ipykernel-6.16.0.tar.gz 136212 BLAKE2B efb779c4585d5594dcf8beaf03f2cd0174aa3b22e184a4c5f54e0e9e97f5bcb81af27c19f503a8b8883720a4380bfb483a952858a75c5b08b19030cc84c0cbec SHA512 04c43c83d17f451b7139e3f7301b35598ff3644ac1542bed9eb2584a558ee202e66c3e36553f96484bb4ee5cc369cfe2ad2bf0054799ad29ffd0e065bdcade98
EBUILD ipykernel-6.15.1.ebuild 2058 BLAKE2B 324e8d1609ee1eb272589138f8f22822a9fafbd836dbfbbfc2e710fb3e9cbb602564071c3e2f8904cf0a6f3c6770279517fd51152dfdddc7b13e001084020d85 SHA512 3f757852e4ca13da13ccdfa0615fe6342d3605ca447431eb35c80b44cb8cb36f57bef1bd12f0afbd2175dca461d0d23d8f9ccf194227634cf4fdfb0fb735aa79
EBUILD ipykernel-6.15.2.ebuild 2066 BLAKE2B d8466cae0cda8e81d8e36232fcca1b592f3e5ac8f282197c4a38121606491818c1a160c71d3b28edbf30bdcb48358bb4c547280effd149b6d5c82b07ecec8071 SHA512 a76087332c10c6dfcbc63b6a2ed21b4746e2090d78844635e0c40d0fc568b25e61d169bd04411e9c095d79b930ce4be884e8a10209f38f9068c075e05e85ddf8
EBUILD ipykernel-6.15.3.ebuild 2066 BLAKE2B d8466cae0cda8e81d8e36232fcca1b592f3e5ac8f282197c4a38121606491818c1a160c71d3b28edbf30bdcb48358bb4c547280effd149b6d5c82b07ecec8071 SHA512 a76087332c10c6dfcbc63b6a2ed21b4746e2090d78844635e0c40d0fc568b25e61d169bd04411e9c095d79b930ce4be884e8a10209f38f9068c075e05e85ddf8
+EBUILD ipykernel-6.16.0.ebuild 2107 BLAKE2B 1c64d458e4fbf2f3775c635a1a7e575a03a3b597ec02df0f545c2525a62a5d67ef16ee2c010d0de8b4899848197783977a466fdfdb449eaada78b5c134881e1f SHA512 f88cfc3f92a72f8b06b7ca89874c8ee650a2cfbe738fcb6e7d6a820cb7ddd5500f9442dd82c1d01bc5862ab84e9c7e49abb22625e7d346e61b6ea2ae883b799e
MISC metadata.xml 527 BLAKE2B 4a24cb9d5b801bf94c71c47d0c90b04bc249fb41a794c7b688a5762f08545d1fcfe9e4976aa4f583ecb456458b5f6dfc394349633959444584c0abad0da4be42 SHA512 ed9f0ef12ec5de67a646783243555f1737604a84c78c57b9f7c65137cec8cbc396991411501927f92bd393daad2238c27363ecc9c115031450231c2a4fb2cbb9
diff --git a/dev-python/ipykernel/ipykernel-6.16.0.ebuild b/dev-python/ipykernel/ipykernel-6.16.0.ebuild
new file mode 100644
index 000000000000..d474b45cde71
--- /dev/null
+++ b/dev-python/ipykernel/ipykernel-6.16.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="IPython Kernel for Jupyter"
+HOMEPAGE="
+ https://github.com/ipython/ipykernel/
+ https://pypi.org/project/ipykernel/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/debugpy-1.0[${PYTHON_USEDEP}]
+ >=dev-python/ipython-7.23.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.12[${PYTHON_USEDEP}]
+ >=dev-python/matplotlib-inline-0.1[${PYTHON_USEDEP}]
+ dev-python/nest_asyncio[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.0[${PYTHON_USEDEP}]
+"
+# RDEPEND seems specifically needed in BDEPEND, at least jupyter
+# bug #816486
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/flaky[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ipyparallel[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # TODO
+ ipykernel/inprocess/tests/test_kernel.py::InProcessKernelTestCase::test_pylab
+ ipykernel/tests/test_debugger.py::test_attach_debug
+ ipykernel/tests/test_debugger.py::test_breakpoint_in_cell_with_leading_empty_lines
+ ipykernel/tests/test_debugger.py::test_rich_inspect_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_rich_inspect_not_at_breakpoint
+ ipykernel/tests/test_debugger.py::test_set_breakpoints
+ ipykernel/tests/test_debugger.py::test_stop_on_breakpoint
+)
+
+src_prepare() {
+ sed -i -e 's:^TIMEOUT = .*:TIMEOUT = 120:' ipykernel/tests/*.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ # Use python3 in kernel.json configuration, bug #784764
+ sed -i -e '/python3.[0-9]\+/s//python3/' \
+ "${BUILD_DIR}/install${EPREFIX}/usr/share/jupyter/kernels/python3/kernel.json" || die
+}
diff --git a/dev-python/jaraco-classes/Manifest b/dev-python/jaraco-classes/Manifest
index 84ea6d658755..b59ce1e34faf 100644
--- a/dev-python/jaraco-classes/Manifest
+++ b/dev-python/jaraco-classes/Manifest
@@ -1,3 +1,5 @@
DIST jaraco.classes-3.2.2.tar.gz 9266 BLAKE2B fa9bd77cf02e46617e4f5dc414ee081b60f3c3a4b220e75df366c8efb42a2eecccf688e6a43cd39deb1642df06554484fab9d9209d567dd0ffa53b5e94b913cc SHA512 56eaf8420f0319137ecae04c61e5a866909b83d3638343ea45ed3739524c8314bb6aac7ee9b5f899e2a1a5238c2caeaa971ed1cd0dbd28d9ac01ad6716549deb
+DIST jaraco.classes-3.2.3.tar.gz 9416 BLAKE2B 00de6548b746d2e6136572d2bcbc8a9c3e6f6570a02ee27e679e6bab7b9f4b8a327acf2b8854045b5348df8760763a7bc52fedb0b3504629ceced3dd3b4588ad SHA512 73fe80de5c50b553efee6aa51fff98e30e72dcb4167b6056628d3cbbb897e29abde4fa9da79a2b413830d8440055a43ea97ace4daa62853d874419cb36c43fee
EBUILD jaraco-classes-3.2.2.ebuild 682 BLAKE2B b0fe322458f77ed2cfde2a6939e53cd7cd25f6ca255852c2760088ed08c641ea9154367e494e8be95b0c3b20ba01fd6b5b3851248bba146cecceb96f12d4d52d SHA512 e88f5545dd655cecf1e5e4d18722d8893dce8f25420c04be1f32f89bfd1561837dbad3c95f18228fdbba4f9db3e16e5d97ff2bb8c0f913cf2f5490686e4e4acd
+EBUILD jaraco-classes-3.2.3.ebuild 690 BLAKE2B 851cd2190b6e608bf24a4fe9c7eea77adbc44f94d74c3c4c103b2a9f26a970b421a10d1b7660f01fe018b84b792329df52a3d2864b49e010ee3df7ff1290646d SHA512 a3c48c531ec0b87efa19ccb2442d625f87721f33d20709e8a82f3ef314144b1427678bb4f4845db85245beeb220b2d0da577dcc877102e026d87d9223044523e
MISC metadata.xml 578 BLAKE2B bba68eea8ac49fd7afab6d8a05c723c01ecc82b9392a97e26754edbe6400f0351539aad572d125398eaf0b53ed1d25d44e0348a6307a9c8893eacd20bd9f7386 SHA512 3c521b902ac46722c873ca7c696414c7dc66419ce0764de4c30924c92d135956822c3f86d6e17926fcc87e0c0f82f93443fcd2303aab248566cd047ec5202e36
diff --git a/dev-python/jaraco-classes/jaraco-classes-3.2.3.ebuild b/dev-python/jaraco-classes/jaraco-classes-3.2.3.ebuild
new file mode 100644
index 000000000000..78787bcd7b46
--- /dev/null
+++ b/dev-python/jaraco-classes/jaraco-classes-3.2.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P="${P/-/.}"
+DESCRIPTION="Classes used by other projects by developer jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.classes/
+ https://pypi.org/project/jaraco.classes/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/jaraco-functools/Manifest b/dev-python/jaraco-functools/Manifest
index 534a1ae952d5..e9f9dfca717b 100644
--- a/dev-python/jaraco-functools/Manifest
+++ b/dev-python/jaraco-functools/Manifest
@@ -1,3 +1,5 @@
DIST jaraco.functools-3.5.1.tar.gz 14516 BLAKE2B d58ca0e51767278988f418a5b1b736dd56da2c0ed214fa9b9b2a8b5e4ae77fcdedd431e444d1d2c3359b52a648ec85d01b8b7a2db872bb27d9bf24484347b7a0 SHA512 4496c80eae72834e5bc214f40de91a6aa603ce296b3866e0b363014c2919843f515efe9b314f18667e6b09d183a0985760e47f3340aed42dfbdba01884896df5
+DIST jaraco.functools-3.5.2.tar.gz 14650 BLAKE2B 63db54c5f3dea7b0ce939ad51fc4c4f5831a620a37a47d416079d4c9ad30cb3d401567a8da036178122431cafd8dc18e4a9b59241cd1fc0b8bd1c057dfb8a034 SHA512 3f67d151f4f6553b3e560b0e6ab71cf726d6c8f36ef5e9f69b6325605547797e19a3f9eb1331cf332db498538953ccaeb75820528e6599fd7cf125abdc073e69
EBUILD jaraco-functools-3.5.1.ebuild 1576 BLAKE2B 336a1679f662443c131639e84910f5dbbe5eab37349e0b77e55f9b3bf40931baaa09671a7a1e7687759093d91c0153587f37a1cc9a11d457284f5688616f5376 SHA512 9fb408c1e66711c7ba73e8d34ccc29c18f5329dcaf87d6f2a7dce7038339623429477444887cb09207d1f3f486ab280b9adfed61efe4844e6b2c91ce8852f90a
+EBUILD jaraco-functools-3.5.2.ebuild 1584 BLAKE2B 98ce14b5b093e6e56075e97717cffa9435c2583d3ab8b5fd9ef76d84f0d5f5c8a2a8d3bbf9e6ba16fa33aea6d30092380b70e383054d5f7a9483744ed1478c93 SHA512 d98856fd7baa11413f44c391f2d79fbbcad30f3f0ea0b59eb31ce35e2c9c97cd447f8dce452b84ac3c81454bda9c69cfd19ad65bb095590b25d78b59c6cedfd1
MISC metadata.xml 676 BLAKE2B b437d010c92db7c16013c9e2dbdb0071c793900189cdd0ec1918abc587ea5fcff10f36b5822e0912797fd2baf3aab5e8a25cf30ad8bb7f3e8e65608a52cd41cc SHA512 95fbff54e3f761dc323dd6c590ad093d301f5438db7a46c90be8a22ab59e1531ea1785317c764e98e278629ff8cd4db976ff1e25d00de46fe741c65ff655201d
diff --git a/dev-python/jaraco-functools/jaraco-functools-3.5.2.ebuild b/dev-python/jaraco-functools/jaraco-functools-3.5.2.ebuild
new file mode 100644
index 000000000000..623bd91af000
--- /dev/null
+++ b/dev-python/jaraco-functools/jaraco-functools-3.5.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# please keep this ebuild at EAPI 7 -- sys-apps/portage dep
+EAPI=7
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+
+inherit distutils-r1
+
+MY_P=${P/-/.}
+DESCRIPTION="Additional functions used by other projects by developer jaraco"
+HOMEPAGE="
+ https://github.com/jaraco/jaraco.functools/
+ https://pypi.org/project/jaraco.functools/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN/-/.}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND="
+ >=dev-python/more-itertools-0.12.0-r1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jaraco-classes[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_configure() {
+ grep -q 'build-backend = "setuptools' pyproject.toml ||
+ die "Upstream changed build-backend, recheck"
+ # write a custom pyproject.toml to ease setuptools bootstrap
+ cat > pyproject.toml <<-EOF || die
+ [build-system]
+ requires = ["flit_core >=3.2,<4"]
+ build-backend = "flit_core.buildapi"
+
+ [project]
+ name = "jaraco.functools"
+ version = "${PV}"
+ description = "Functools like those found in stdlib"
+ EOF
+}
+
+python_install() {
+ distutils-r1_python_install
+ # rename to workaround a bug in pkg_resources
+ # https://bugs.gentoo.org/834522
+ mv "${D}$(python_get_sitedir)"/jaraco{_,.}functools-${PV}.dist-info || die
+}
diff --git a/dev-python/jupyter_server/Manifest b/dev-python/jupyter_server/Manifest
index b18d120d87ae..be28fac2667a 100644
--- a/dev-python/jupyter_server/Manifest
+++ b/dev-python/jupyter_server/Manifest
@@ -1,3 +1,5 @@
DIST jupyter_server-1.18.1.tar.gz 451117 BLAKE2B ac9088f8f5c5afa6455f41b4006c0d49286006574101b42dd8e28501c97dcf10d7ee534d54b8cf26a8f34c7d2ba446485ce273ce04e22c39a22e5346d55ea4f5 SHA512 7acf101f337af903318de263dcf78cf3b45b799bb6095bc79568fde7f3f56ca508d39a1d40ffe2a4ab0bdc0173f0ee2f4a7426f41e0855c1b7f9dfd86f7e6d73
+DIST jupyter_server-1.19.0.tar.gz 453227 BLAKE2B c411ea965bd1948cfff488be278e9d6d4374482f0017e8e6f0b557628f1b571735008db3217035344ee1d38bed45e9c74c16fb365899408e0565d31740ee1a78 SHA512 ba1316418662bf465f5252de97efa58ecea237b51dfd83b17643176f95382d47759b88a2a79945e6bbf688dcdb3f99d091a035ab0a8a04706c6e6ba0c8a7fcc8
EBUILD jupyter_server-1.18.1.ebuild 2275 BLAKE2B 6249b549811fe6c9ab2713962068b4ce74f4a4427ced95919bda24ff9d86ffcb89016b00876ed6b627f34dd84121bddb1edb6c75bf8501df8711bde39f93d431 SHA512 47c26f3e524fc559162f27e05980965a6d5520ffd7a0ef7e6479afb2a312e2fabff2c06050d6ea20e283effe5af261b9fe9ca9c9d9c51e9afdc89e6452701528
+EBUILD jupyter_server-1.19.0.ebuild 2283 BLAKE2B 80c0a313006573fa093a6affab31a0d5beca7bc80b68ad5ba3fd3fa880b79d8102cdba23fdb83199d714eff9949f9abe4a119e2605076cfbb4c652fa6f5334ab SHA512 b18f75a8ac687e70e0dc65cef7239a10731a24f4630aa276ffb921c00eb8e766eed0b438fea2052f19982f74c0402de0ff6e8dfa986c5a3b2e5042ed26de73ac
MISC metadata.xml 544 BLAKE2B ec5a0aea1d2ad6ce0e59972d2ef4ce62c03877d464dfdc34bcb94a7d01304c63761c6bc30ed973bba1f4100e25f70541bed4eea858deb44f359d0e373ae1ade0 SHA512 ffe7deb7349ce99890b902a225b73913185bfa860237dea8c1a508a6a5e84bbb74ca7a5c43253c9986f97fb3fd1e9f2bb63ca60f73953fcc851359df8adb5fbd
diff --git a/dev-python/jupyter_server/jupyter_server-1.19.0.ebuild b/dev-python/jupyter_server/jupyter_server-1.19.0.ebuild
new file mode 100644
index 000000000000..296736ccc44c
--- /dev/null
+++ b/dev-python/jupyter_server/jupyter_server-1.19.0.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=jupyter
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Core services, APIs, and REST endpoints to Jupyter web applications"
+HOMEPAGE="https://jupyter.org"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/anyio-3.1.0[${PYTHON_USEDEP}]
+ <dev-python/anyio-4[${PYTHON_USEDEP}]
+ dev-python/argon2-cffi[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_client-6.1.1[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_core-4.7.0[${PYTHON_USEDEP}]
+ >=dev-python/nbconvert-6.4.4[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.2.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ >=dev-python/pyzmq-17[${PYTHON_USEDEP}]
+ dev-python/send2trash[${PYTHON_USEDEP}]
+ >=dev-python/terminado-0.8.3[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.1[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1[${PYTHON_USEDEP}]
+ dev-python/websocket-client[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/pydata-sphinx-theme \
+ dev-python/myst_parser \
+ dev-python/ipython \
+ dev-python/sphinxemoji \
+ dev-python/sphinxcontrib-github-alt \
+ dev-python/sphinxcontrib-openapi
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # This fails if your terminal is zsh (and maybe other non-bash as well?)
+ tests/test_terminal.py::test_culling
+ tests/test_terminal.py::test_terminal_create_with_cwd
+ tests/test_terminal.py::test_terminal_create_with_relative_cwd
+)
+
+src_prepare() {
+ # disable npm use
+ sed -i -e '/\[tool\.jupyter-packaging\.builder\]/,+1d' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest \
+ -p pytest_tornasync.plugin \
+ -p jupyter_server.pytest_plugin \
+ -p pytest_console_scripts \
+ -p pytest_timeout
+}
diff --git a/dev-python/jupyterlab_server/Manifest b/dev-python/jupyterlab_server/Manifest
index 357a6401b0d2..79d82ba91717 100644
--- a/dev-python/jupyterlab_server/Manifest
+++ b/dev-python/jupyterlab_server/Manifest
@@ -1,7 +1,9 @@
DIST jupyterlab_server-2.14.0.tar.gz 62704 BLAKE2B 93277a6880a9395622e6c0ec1da9522c5e30e7a8144c8629de89f45845964008f0a435ec84289efe56043c8ebb998ea65df1d09f3da72096f255fcafa29fab53 SHA512 21ecf749879663378d865bd06161fb3e331f3675038917e405df0cb77d4a4cec55340a35d6511676fa4d91ecaedcd1e7f8aec3a13ad3a39298d10911ab215cc6
DIST jupyterlab_server-2.15.0.tar.gz 61443 BLAKE2B 48ead96f13caf747cc14f7d65dc6104822dcd0fe17315a2cee4111598b40f05119998f169aef90411e84fe24e8f09736c857325752cfa3f22047acb2a9e2e3c1 SHA512 27530b293ad7c171b280a4c165d7f983c85238c4cb0bc89bb2eda8493b2988f047045c842ba456df9d0bfef00b5ee28b061c537ef6293d726c3a4f3d6572727c
DIST jupyterlab_server-2.15.1.tar.gz 62345 BLAKE2B 14d82bc9cc7566312c4f434b78f396bb822f150653e3be6f1e328d620d1d8b205a8dca8c0b4a1e84a52562e04f76cb63154fd1b58f45da3a4f787a32468595cc SHA512 b4fba8a09562a70a705170406b69cbfaad4fcee290ca74e7949155698af616e4ce650a75c06bfa613e1a307980a4769418587ccf33a964868053ded9a7648095
+DIST jupyterlab_server-2.15.2.tar.gz 62533 BLAKE2B 46df68a0f1500e1b4520817ee63042194e65e72fb9d63058bc18effad1668e19733e6a1d5edbd2ec6e07c4c932c2901d974f787455142404f8162d2a83205f68 SHA512 670b9cb3a982d832225a7e632dda57000044a5a4b86f4d0c308cc20c1ad8db09216ae3918af52209dd3bfb04d34c807fca7060208db239b52ef9f29b92943ead
EBUILD jupyterlab_server-2.14.0.ebuild 1639 BLAKE2B 0d0e407d1cc7a23dc4695b1c02e26ee44245852312925557c26f982e158950cc874e8b71146b0099a1c174c176f609aa07a4c60701dc67a795b7c48b9f42f7c8 SHA512 3177bebf38b63510accbcad54965e0fb9ebb3cbaaa18c611d49c7b8fbca3ed44fd94d5412faf9d3eefd86a036b965a3e5976e26cc5ac83c5ba4b64e1cd84a422
EBUILD jupyterlab_server-2.15.0.ebuild 1751 BLAKE2B 78194ccd23664839271fde49bcdba89d775028d078ef33a54796866dbf8050b23403839d7236f909a3e1fe68f930ea0bcbb9b9697b116f482977b8039fdb27d4 SHA512 65006064e30c9b8552f1c6df538bd0b779ff7922021fd83b87bf03d5794ee27cb91be970d3d2d6a8d68db8f5a374844f495e206af94e065a662189a4f07ca632
EBUILD jupyterlab_server-2.15.1.ebuild 1751 BLAKE2B 78194ccd23664839271fde49bcdba89d775028d078ef33a54796866dbf8050b23403839d7236f909a3e1fe68f930ea0bcbb9b9697b116f482977b8039fdb27d4 SHA512 65006064e30c9b8552f1c6df538bd0b779ff7922021fd83b87bf03d5794ee27cb91be970d3d2d6a8d68db8f5a374844f495e206af94e065a662189a4f07ca632
+EBUILD jupyterlab_server-2.15.2.ebuild 1810 BLAKE2B df0c31905fd0be0353ce5ac7284c9d0134a29c6238e2afce8e05c97c46ced004f00bd5e23a14922e8a24cee2de3ed9a3a71d8dc159fc2dffe8f90aaf94ca71a4 SHA512 27d14c86d4a66f0cb430efd291d5d72ef24ce5be016ec0ec724675c4b696efc663be69488e5c61120a4306dd3cff312af4109fbba536300bea06c9a632be3665
MISC metadata.xml 426 BLAKE2B 98083ff6255b6c5b4ebe7eb67f4e9716f52397646df275cce4cae2f78b0fbb5dda8d6240e1546b4bac6f13ef3f3f1e6f176b2062e066070d595e5cd93c02708e SHA512 9755e74547fb74a4720c9b755449d913dbfd949bad920ecd3903df91182236ad46712c358b3db8180ddf478a6cc6c2a57c6d1a939a9911ffc7ccb39672f5868e
diff --git a/dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild b/dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild
new file mode 100644
index 000000000000..15eb6bab4bf3
--- /dev/null
+++ b/dev-python/jupyterlab_server/jupyterlab_server-2.15.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DISTUTILS_USE_PEP517=hatchling
+
+inherit distutils-r1
+
+DESCRIPTION="Server components for JupyterLab and JupyterLab like applications"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab_server/
+ https://pypi.org/project/jupyterlab-server/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/Babel[${PYTHON_USEDEP}]
+ >=dev-python/importlib_metadata-3.6[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/json5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0.1[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ >=dev-python/jupyter_server-1.8[${PYTHON_USEDEP}]
+ <dev-python/jupyter_server-2[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ dev-python/jupyter_server[${PYTHON_USEDEP}]
+ >=dev-python/openapi-core-0.14.2[${PYTHON_USEDEP}]
+ <dev-python/openapi-core-0.15[${PYTHON_USEDEP}]
+ dev-python/openapi-spec-validator[${PYTHON_USEDEP}]
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/strict-rfc3339[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+# TODO: package autodoc_traits
+#distutils_enable_sphinx docs/source dev-python/pydata-sphinx-theme dev-python/myst_parser
+
+python_prepare_all() {
+ # This seems to not work for us, can only find english
+ rm tests/test_translation_api.py || die
+
+ # Do not depend on pytest-cov
+ sed -i -e '/addopts/d' pyproject.toml || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/mypy/Manifest b/dev-python/mypy/Manifest
index 97f182e557b0..dbf3b8e08fa8 100644
--- a/dev-python/mypy/Manifest
+++ b/dev-python/mypy/Manifest
@@ -1,3 +1,5 @@
DIST mypy-0.971.gh.tar.gz 2808674 BLAKE2B 7f3b183a4c5342ddfc501b8091c078ac55803db86d43042220e18e3e616664ce91ddeb341b45b1d80c7686f8c2f3606af074a5dcb9c9eaacd6307578d3689981 SHA512 5088efbd74385b5a8c155ae6e756deed274bf3e597df13e57970a29c029c34c91453c45fc1d2d03b7d83cd786b8930a387a781e1b9cb72102c1f07263a346c6d
+DIST mypy-0.981.gh.tar.gz 2628442 BLAKE2B 484ba2da1e3c8988ce4bfa7681592b6ca4f409ca9078319428e11407fa2dec38deace41e77278bab835eee1e3690d8bf213c44ecb82ac5e9a5f759b030df93fe SHA512 8deb66e48b74c50027fd95533935fa6643beaa30b28d25c5783645f9efaedf6138379c262a91abbca62c6e269677f0ee1325fe93ea48d587f1aae8eec21eb15e
EBUILD mypy-0.971.ebuild 1768 BLAKE2B c9adf0f3b1706821722be1c77370052585e7ee5aeabe44f0903c74e71163de44358ac985a0c251217bee8c657944370842c31a4e3042ce270cf12beacc0f2110 SHA512 fe5abaa26482495522c4c958d6ff71248a72edc7ac51b2fa2b4b3dd9ca4ef83d1f9e476120d7fda83a864117f0b4420eeece7bb505c87dd5f00b753c2790f945
+EBUILD mypy-0.981.ebuild 1776 BLAKE2B c4b1c7abb905623121763a2f44fbb8a422a9d1cb0c6c558e858ddaaa3b1d75aee0b947f74e003d1ada49a7611ae45e22832b4999e89f39ad39cb7957ac7ceab2 SHA512 dc244b629eb8f0aaa59a6e43a8b78850bc1d4e703dd672961a828c4cfbc03d93a5bcf5d6b2a455e8783d8fbb3fb9f626a694c70d1920445f393d90c9da805a27
MISC metadata.xml 515 BLAKE2B 75827bbbeb70fd4b9295ab4689068d2d4b686b32d4059acde94fb0d08048e9e56ecaf3eec39dc5567b2753e2552353e273cdf2f4e27d077cc9b03320ee09c64b SHA512 c1c3c7a3651e61e0b63ab4462f0370cce9cbdce33e64c5e7a1fbefe8116d5d3d3b35bc4095d8a5ce28caf69b0644af3f13c9a27b683f2f981e52f8bfe4ac8615
diff --git a/dev-python/mypy/mypy-0.981.ebuild b/dev-python/mypy/mypy-0.981.ebuild
new file mode 100644
index 000000000000..75044659afd0
--- /dev/null
+++ b/dev-python/mypy/mypy-0.981.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1 multiprocessing
+
+DESCRIPTION="Optional static typing for Python"
+HOMEPAGE="
+ http://www.mypy-lang.org/
+ https://github.com/python/mypy/
+ https://pypi.org/project/mypy/
+"
+SRC_URI="
+ https://github.com/python/mypy/archive/v${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# stubgen collides with this package: https://bugs.gentoo.org/585594
+RDEPEND="
+ !dev-util/stubgen
+ >=dev-python/psutil-4[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ <dev-python/typed-ast-1.5.0[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-3.7.4[${PYTHON_USEDEP}]
+ >=dev-python/mypy_extensions-0.4.3[${PYTHON_USEDEP}]
+ <dev-python/mypy_extensions-0.5.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+"
+BDEPEND="
+ test? (
+ >=dev-python/attrs-18.0[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.3.0[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-6.1.0[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-1.18[${PYTHON_USEDEP}]
+ >=dev-python/py-1.5.2[${PYTHON_USEDEP}]
+ >=dev-python/typed-ast-1.4.0[${PYTHON_USEDEP}]
+ >=dev-python/virtualenv-16.0.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_sphinx docs/source \
+ dev-python/furo
+distutils_enable_tests pytest
+
+# this requires packaging a lot of type stubs
+export MYPY_USE_MYPYC=0
+
+python_test() {
+ # Some mypy/test/testcmdline.py::PythonCmdlineSuite tests
+ # fail with high COLUMNS values
+ local -x COLUMNS=80
+ epytest -n "$(makeopts_jobs)"
+}
diff --git a/dev-python/sentry-sdk/Manifest b/dev-python/sentry-sdk/Manifest
index bde10a8aa695..b73dc34ad42d 100644
--- a/dev-python/sentry-sdk/Manifest
+++ b/dev-python/sentry-sdk/Manifest
@@ -2,8 +2,10 @@ DIST sentry-sdk-1.9.5.gh.tar.gz 272096 BLAKE2B 179be647b92a74a1836f26add33e4b980
DIST sentry-sdk-1.9.6.gh.tar.gz 270120 BLAKE2B d5918f4ed21f3ee50d76a780416c458b3f917a314a9dfbdbe4b4b63727fa3b7ead61d04546b6ebf57c262143ccc694811e6f888ca1d39155aa98f3225508ab94 SHA512 ad8717f456706edb31e01e8c19b8b81d98b15423d62b2dba8a86fc78a4756c8176b4a0758ebb599f84dd4e6e85258c47e350c8f55e80314a4a70631966c83de6
DIST sentry-sdk-1.9.7.gh.tar.gz 270209 BLAKE2B d1671bb45efa8aa785dc33a5d27e1d44843000809a88c4b081bbaca31be9ece65c6b192cadd46df912e1e1ca8650c7246f9946adb85117e88d13446965e190ac SHA512 d5c9a32e2c4001892cd03357d3b0cfe4c789eb0f4a12f6431920624795d4ed70a4055351541e12d9ee0be6e0fa689190e53c05fac53a27dad30e9f9fbe0711c1
DIST sentry-sdk-1.9.8.gh.tar.gz 271425 BLAKE2B 27135f4fee24d80a544d852261555d8a8498990f815bbe7438b67bbf5717ed4b6e92c8f3e6781929332cbaba75986538294cf4b97c5bbe845ab57a32333d1d6f SHA512 7c9136b4100537e327ccbc2a96967007a1d2de653098ffa3463cc135ca604e49bd066d6a85046c752f38bdfc2698298e46a5d26bbf1a31a19f1631cf92ad9c8d
+DIST sentry-sdk-1.9.9.gh.tar.gz 281232 BLAKE2B 8d1017644c2ae73c4e070f7b1b0a6807ab1d7a7655986bb9a4b457f72c98b3df0fd5f3af8722ea91e13911b1ce6d7234542af195a0b80ec5e9e939f5de3998f0 SHA512 613b504c9e0071657241c7724206d3e99f62fdc846cda98fa4830cf29eee24c8d2ae2abb265fab5d87f47d064d8aed60e105c2d2090fb24308e65b7e74e2974b
EBUILD sentry-sdk-1.9.5.ebuild 3201 BLAKE2B 371fb9d17f8f843c34c17857d68818de5e04c40267a1009ccb98fc2bcabcb67d80d9da36bab08962224936bcfa1c230be10ab88758a0bc4713f4ec68ad28b2a0 SHA512 fb5f857923833a77c952da761c6b4b8ab88037c981f5468913c83d22ce119026814f57b9902e72b21ab21ddbf83b12e60e707c340ed91aa5a39b5269515e3dd8
EBUILD sentry-sdk-1.9.6.ebuild 3205 BLAKE2B cc50ae93fdb72f81c15ac975cb7359056feba2eb1f67b77335892f784be8f859bc5125fc341f370eaa4b1b3526387fb12246046b1b0d9db52d364f796c440236 SHA512 e78cbc57645b20a02a691cca4849f9728d95eaa10fc55ac035111b50b24b1d8766875a66db0306256b446c2a47a797d2d890ed11ffc1246e6cea43e243b97379
EBUILD sentry-sdk-1.9.7.ebuild 3205 BLAKE2B cc50ae93fdb72f81c15ac975cb7359056feba2eb1f67b77335892f784be8f859bc5125fc341f370eaa4b1b3526387fb12246046b1b0d9db52d364f796c440236 SHA512 e78cbc57645b20a02a691cca4849f9728d95eaa10fc55ac035111b50b24b1d8766875a66db0306256b446c2a47a797d2d890ed11ffc1246e6cea43e243b97379
EBUILD sentry-sdk-1.9.8.ebuild 3205 BLAKE2B cc50ae93fdb72f81c15ac975cb7359056feba2eb1f67b77335892f784be8f859bc5125fc341f370eaa4b1b3526387fb12246046b1b0d9db52d364f796c440236 SHA512 e78cbc57645b20a02a691cca4849f9728d95eaa10fc55ac035111b50b24b1d8766875a66db0306256b446c2a47a797d2d890ed11ffc1246e6cea43e243b97379
+EBUILD sentry-sdk-1.9.9.ebuild 3205 BLAKE2B cc50ae93fdb72f81c15ac975cb7359056feba2eb1f67b77335892f784be8f859bc5125fc341f370eaa4b1b3526387fb12246046b1b0d9db52d364f796c440236 SHA512 e78cbc57645b20a02a691cca4849f9728d95eaa10fc55ac035111b50b24b1d8766875a66db0306256b446c2a47a797d2d890ed11ffc1246e6cea43e243b97379
MISC metadata.xml 510 BLAKE2B e00011699ac2cc83f1923e1f6fa813ede7eab8c57f9ce9d9fca04e721b089db1c5f2bdffaa7b9856f56b433abd9189125e07ffd3f329e4fa8d098e28a4f2d7bd SHA512 bafb77a102d94fe050cb526b298fb8cfd56775cb4d07eda280f6356fbec6fbe5df5c9ebd459d9d4457cd027c2e0d7c349e053fa6070b52f0d2989f6ec600b87d
diff --git a/dev-python/sentry-sdk/sentry-sdk-1.9.9.ebuild b/dev-python/sentry-sdk/sentry-sdk-1.9.9.ebuild
new file mode 100644
index 000000000000..9d1e2042e8f2
--- /dev/null
+++ b/dev-python/sentry-sdk/sentry-sdk-1.9.9.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python client for Sentry"
+HOMEPAGE="
+ https://sentry.io/
+ https://github.com/getsentry/sentry-python/
+ https://pypi.org/project/sentry-sdk/
+"
+SRC_URI="
+ https://github.com/getsentry/sentry-python/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/sentry-python-${PV}"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ dev-python/certifi[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/asttokens[${PYTHON_USEDEP}]
+ dev-python/django[${PYTHON_USEDEP}]
+ dev-python/executing[${PYTHON_USEDEP}]
+ dev-python/fakeredis[${PYTHON_USEDEP}]
+ dev-python/flask-login[${PYTHON_USEDEP}]
+ dev-python/gevent[${PYTHON_USEDEP}]
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ dev-python/pyrsistent[${PYTHON_USEDEP}]
+ dev-python/pytest-aiohttp[${PYTHON_USEDEP}]
+ dev-python/pytest-django[${PYTHON_USEDEP}]
+ dev-python/pytest-forked[${PYTHON_USEDEP}]
+ dev-python/pytest-localserver[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/zope-event[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/eventlet[${PYTHON_USEDEP}]
+ ' python3_{8..9})
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # tests require Internet access
+ tests/integrations/httpx/test_httpx.py
+ tests/integrations/requests/test_requests.py
+ tests/integrations/stdlib/test_httplib.py
+ tests/integrations/flask/test_flask.py
+ tests/integrations/django/test_basic.py
+ # wtf is it supposed to do?!
+ tests/integrations/gcp/test_gcp.py
+ # broken by rq-1.10.1 (optional dep)
+ tests/integrations/rq/test_rq.py
+ # fastapi is not packaged
+ tests/integrations/asgi/test_fastapi.py
+ # TODO
+ tests/integrations/bottle
+ # requires python-multipart (TODO: package it)
+ tests/integrations/starlette
+)
+
+EPYTEST_DESELECT=(
+ # hangs
+ 'tests/test_transport.py::test_transport_works'
+ # TODO
+ 'tests/test_basics.py::test_auto_enabling_integrations_catches_import_error'
+ tests/test_client.py::test_databag_depth_stripping
+ tests/test_client.py::test_databag_string_stripping
+ tests/test_client.py::test_databag_breadth_stripping
+ tests/integrations/asgi/test_asgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/asgi/test_asgi.py::test_websocket
+ tests/integrations/aiohttp/test_aiohttp.py::test_transaction_style
+ tests/integrations/aiohttp/test_aiohttp.py::test_traces_sampler_gets_request_object_in_sampling_context
+ # incompatible version?
+ tests/integrations/falcon/test_falcon.py
+ tests/integrations/sqlalchemy/test_sqlalchemy.py::test_too_large_event_truncated
+ # test_circular_references: apparently fragile
+ 'tests/integrations/threading/test_threading.py::test_circular_references'
+ # test for new feature, fails with IndexError
+ tests/integrations/wsgi/test_wsgi.py::test_session_mode_defaults_to_request_mode_in_wsgi_handler
+ # TODO
+ tests/integrations/wsgi/test_wsgi.py::test_auto_session_tracking_with_aggregates
+ tests/integrations/wsgi/test_wsgi.py::test_profile_sent_when_profiling_enabled
+)
diff --git a/dev-python/sphinx-autodoc-typehints/Manifest b/dev-python/sphinx-autodoc-typehints/Manifest
index e4ffc705f25e..6789de2d9ab4 100644
--- a/dev-python/sphinx-autodoc-typehints/Manifest
+++ b/dev-python/sphinx-autodoc-typehints/Manifest
@@ -1,3 +1,5 @@
DIST sphinx-autodoc-typehints-1.19.2.gh.tar.gz 26983 BLAKE2B 694edbf94bac05670adad992cfdc7e1146228af7b888a97c4f8e2394623ef3e42251ba0f3c22985517b2a251996cc41a305ea5497b2369363bc00d4bb3d24da7 SHA512 c35c7ed3f0698651be5ba4dd2232912d1f6d9d30e08153527df3fe16001266abc80cd1b11e3a41ccf92140c6baea98105e9bccd9466e65664dcf008f9a944634
+DIST sphinx-autodoc-typehints-1.19.3.gh.tar.gz 27694 BLAKE2B c1528fa4d4e055dab723bfc40baea591a201546abdccbb81e7dd9ada8620ea74d7371f9c47a8ef310f57934de95b5c295939fa9c095492e02606ca9828bf921d SHA512 fba1b5b39b9c8556ffa75e1a9d2427623bb8ee6f412b78c293c77b248b81d73f624beca9c155279147951510daed7cf5a5120e714efbcce4d62251f74f0924a4
EBUILD sphinx-autodoc-typehints-1.19.2.ebuild 1066 BLAKE2B e43ac460f86ddb31256e3e303b3837f542d0b2b296eb3b917f877dfdd426b542b779d6ca0e4036e80d6689e8de3bda3c2259923400bdf6dc9a46faa6fa6ab012 SHA512 d841abad7e984d33a332262f92eade154363aec0f1fa9588381e6ab9c1c6f0e193f05ccc5d5f9755df52429f096238f2c1b51e2040ae24cca027a5d3fe8492c1
+EBUILD sphinx-autodoc-typehints-1.19.3.ebuild 1077 BLAKE2B 4e9ade2d098b25db13a49fd2f63cff7045af6a5ccd098d8d69f019d179a7feab1f9452c7bff6e80f4dd6a67c549b1eb7c5cfeb5084202e1519b277fe5520c5c4 SHA512 76d5fbd4b18a28db31758010d2917d3f69f5b1caf405c96f849cced5bcee225dd4580ee3c789b49b406eaa801be3d1aa13f809f532ea7f01572870385349dade
MISC metadata.xml 807 BLAKE2B 368714db91017473456e0854b7e2024ac6d24b4ba3d5ae2a44697546c4f96185a44ecc9da8dc816d9661f5815d7d31751d2d87d599c748d06db3f1dde32a141c SHA512 04882668dfa68354aa8ee5860db11963153fb29d9c26b3367fcef63da4ebbccf049909946e73fd06250bf784dcb783b1bc70fb29b9aaa1fcb19be9fcf470ebbe
diff --git a/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.3.ebuild b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.3.ebuild
new file mode 100644
index 000000000000..b61995da51f2
--- /dev/null
+++ b/dev-python/sphinx-autodoc-typehints/sphinx-autodoc-typehints-1.19.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Type hints support for the Sphinx autodoc extension"
+HOMEPAGE="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/
+ https://pypi.org/project/sphinx-autodoc-typehints/
+"
+SRC_URI="
+ https://github.com/tox-dev/sphinx-autodoc-typehints/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+
+RDEPEND="
+ >=dev-python/sphinx-5.2.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/nptyping-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/sphobjinv-2.2.2[${PYTHON_USEDEP}]
+ >=dev-python/typing-extensions-4.3[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # this package is addicted to Internet
+ tests/test_sphinx_autodoc_typehints.py::test_format_annotation
+)
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
diff --git a/dev-python/stack_data/Manifest b/dev-python/stack_data/Manifest
index f678f9628ad0..72d32e6ba8cc 100644
--- a/dev-python/stack_data/Manifest
+++ b/dev-python/stack_data/Manifest
@@ -2,6 +2,6 @@ DIST stack_data-0.4.0.tar.gz 41638 BLAKE2B 1395ce2ba5ce12af2ab4e9c3d4b42c2b5c14f
DIST stack_data-0.5.0.tar.gz 43332 BLAKE2B b9583717633902b4618981ceeb53eca7b817b7985fd5401cc79fe35b194e77fdb57e1c5c51adde0b4e604f6df5424d27056b2528c356a808a4b4c9e1dee1c56a SHA512 82573d9b115daf23a04921027878d55cf9de897a01cb0089b082ec0e7a7b42461afe47dddf4d16adfe186259280b57d651857884ceaf9673d8c983c48f479684
DIST stack_data-0.5.1.tar.gz 43435 BLAKE2B eeebca4d2d8e3c8795e05d4a058c4a7421a2669e28b476400d541c79d5d7ebb66dde16cd39e2586eafa2f653341c041351c2684440d879ed71b2adf83ea1b4d9 SHA512 b33e3bfd31d285fcdb8f6db8f3e59b6e99fcbc0b912c7be01e52b164554a5914bc8f1a7fb7e665a18fa2d164b248afeb3c6a287f8e27ab7fa44f69b75d93d375
EBUILD stack_data-0.4.0.ebuild 825 BLAKE2B 575800f98c667835be726a01e4d2d0bdf0e7d6f26e4554bf33670fc7c6732fc147174ad15441bb6e3951a474478ad1b90aea7ba2184e02d9d5b53a58ded08a26 SHA512 b639c0422e76e42d661575378191eeba250e7f35ca96b5ae8c2b8ddecc0cfa530140c2336654e3d04344b45ebbb6875b9673733266df54e43ecd25149163d8a6
-EBUILD stack_data-0.5.0.ebuild 833 BLAKE2B eed18bbd3e49a5073e55b067a6da1501ac772d1926138e6d23f811ca4e6a432da534caca90e2a9214ad55abc7f210b3d8b385e39a27458ed9e1efdf7aae27911 SHA512 0a5c559e764428f8e4f85e31b15ed725c96d77df9de632e069e51e076f0d9063262522b67a86a0614f5609c863a8141a356c284445f6f03028ac025a6d1dadac
+EBUILD stack_data-0.5.0.ebuild 828 BLAKE2B 56771ea9e017a44d927514f780271d77d65bc039940dab5890e7711cc7350980fd6acf6a1f97b9c607f722baf6948d6c587dc2fb8bdd4acb72a1b78f46335398 SHA512 1c69f78bb924c13e06a2c654d7f44016c04fe5c344afcfc548c4bc73e1d19a927cb35c2452d8a7f262093a231e77cbf91ed942c6306be857ddfe30b49157e916
EBUILD stack_data-0.5.1.ebuild 876 BLAKE2B f5bb2a12099ee1b20236148a4adb5b93f54971fc56e8ec6a7f8ee24f14735492a869f44760655b8a7f22404d6ef674b0e1903c425679313041467a9acf99104d SHA512 5740daa892dbccab5987211322d705fe8c944872eb150d04baeb17ca83d00fcde491597048b6e8827431f60466601b5160e5f4d7b36dac71f260f0ff92073d26
MISC metadata.xml 375 BLAKE2B af41ba2f7058da9de0e1f8be741c3de7581d895246c1c941f0dc27ed2e708ac2cb64b5a6fcaea82ff79e7a8bd4e0b424500a373957019d9e62f53babeadc166b SHA512 be539ff023fbcdf96761cf06429efc4cc2d0d2ee38b3bdaadbd73665798c123591b9543ab4fd3ccca9c80820c71b010f8fd34646d2001a940df0a61fc4e0639b
diff --git a/dev-python/stack_data/stack_data-0.5.0.ebuild b/dev-python/stack_data/stack_data-0.5.0.ebuild
index 354f429fa75b..8f241c5d8d17 100644
--- a/dev-python/stack_data/stack_data-0.5.0.ebuild
+++ b/dev-python/stack_data/stack_data-0.5.0.ebuild
@@ -14,7 +14,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~amd64 arm ~arm64 hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86"
RDEPEND="
dev-python/asttokens[${PYTHON_USEDEP}]
diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index c751edbf35b6..7f8b2c7c409a 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -1,7 +1,9 @@
DIST starlette-0.18.0.gh.tar.gz 408097 BLAKE2B ddc85690d9eb962a8d82544a1667d17316025330c8fda0c79dc21422399bcff01ccf5baf85eda7941f40aac5845d18fdcefaa23ba8ba442d30f0b9e194f7287c SHA512 521d39c1eec818250da3f2dc24cd2fb08393b76e6314a9bd5f3e520bdfa4652ae4ace5876b7e7f3a7ddc5540160e1086997a40b86a1b1bfd694c6aa1abde9106
DIST starlette-0.20.3.gh.tar.gz 417054 BLAKE2B 5564026142cb45075aa3ea3fabbc3e0eb39d4e2d776c6577d79b9c28522befaa92869e5f4211bc77235f6d25102f8d90e3811c972b74bb295abd0d186e29ceef SHA512 fa7f8de299ee452a52bf43ff6c39851fc7985775e1938b38cb564d5cb19705a84fbb173229a090295bca3be87b71214fdf7c80e3db0f870cf018510e1bd06b1b
DIST starlette-0.20.4.gh.tar.gz 2819634 BLAKE2B 265ef6b88ebc5cee4361601198891cbab9e92e354942a06622bdac46dc63d2644557bef952730b455157ee83b15035016039f8a88f17e673487e9a3571d6180c SHA512 481a095ada3140164abae89026da36c90657d8ccabb0a6753094bf7fdf47ce6f789320ed15e94d15dedffaf302691e204cb541c26a4c779848aa6505dfe52b2f
+DIST starlette-0.21.0.gh.tar.gz 2830353 BLAKE2B 7ff818d4687757ec8699dcd0e2582af78211787b7a0f2110da045eb4f7a8760262cf144b0af7dc9f72140b5dae1e65f7a4207ee3b165db4091c5139ce0bfcc85 SHA512 c246862604ba807141313857321d898d996eaa771ccb197546d0928a75cbb69f0e485fe90d2c817e70323146077c487436516384e1401d815c59c0ac75845e2b
EBUILD starlette-0.18.0.ebuild 1156 BLAKE2B 2c31219a2ec2d15ff2c2771e321aa36371d61f79eefb3bee6243bd22bbc27da479329cc36beaf4d4b231f7854808682c4885169660a5890b1aef7cd95175832e SHA512 f23e3ea3bbb5bb198c517195dee9bf6210b0dc714d5e86ffdb0831d15fd29b8be8a9be0b2700ac189bb37e1b2a61503893398f85f1026df71829c044a12a92e0
EBUILD starlette-0.20.3.ebuild 1422 BLAKE2B e9ff6263f72feaf2bf66271d683b079c7dcee52214496ad024e4e99e41a9b7f5fcba743deec75a79139660ce19c0dd957c11e9917441e514be1bd23238d42d71 SHA512 8595dcda16195a945b80eb31b7a9b1761d60e0d1dfcf64fff43f7f872725c91e7eeba552093dc40bf83e49f59bacef74500e83c65b8a644e6ec927c9c9d126a8
EBUILD starlette-0.20.4.ebuild 1422 BLAKE2B e9ff6263f72feaf2bf66271d683b079c7dcee52214496ad024e4e99e41a9b7f5fcba743deec75a79139660ce19c0dd957c11e9917441e514be1bd23238d42d71 SHA512 8595dcda16195a945b80eb31b7a9b1761d60e0d1dfcf64fff43f7f872725c91e7eeba552093dc40bf83e49f59bacef74500e83c65b8a644e6ec927c9c9d126a8
+EBUILD starlette-0.21.0.ebuild 1581 BLAKE2B 71ce80275533f416e2208f4e873b373fe6488b473eea9247b2777973b569b4dca08c3762ef29df30e584957ad464dbe3b61d6fa401408f5aab9202668ab1f53e SHA512 ec1f406083c3423c7b4fe4582f1c1a1338b91531c733017376d50d4ee58c9ec610bb25515a7e5355e365157f1f97a1708173876dcaf23873e552f821db5bb01a
MISC metadata.xml 324 BLAKE2B cbdb5983f2620f296eed8d81541e6ffbb084fdbcb698e52a6d86a64122834184e71ac423c21fa81d395be5505cb497be9172cd28d8fc633b6d31b844c480f741 SHA512 02c4d176ccc9c1b12e94f25c0de9792b6dc087a5d897bff8a46b2053951afad28b5c40f181ece8209acb3a8db1ec9e21a29af06b55f66efbc0d8f325d6958123
diff --git a/dev-python/starlette/starlette-0.21.0.ebuild b/dev-python/starlette/starlette-0.21.0.ebuild
new file mode 100644
index 000000000000..b8f1200acd8f
--- /dev/null
+++ b/dev-python/starlette/starlette-0.21.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+ https://www.starlette.io/
+ https://github.com/encode/starlette/
+ https://pypi.org/project/starlette/
+"
+SRC_URI="
+ https://github.com/encode/starlette/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# TODO: package python-multipart
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/typing-extensions-3.10.0[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+# brotli needed for consistent test output
+BDEPEND="
+ test? (
+ || (
+ dev-python/brotlicffi[${PYTHON_USEDEP}]
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ )
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_IGNORE=(
+ # Unpackaged 'databases' dependency
+ tests/test_database.py
+
+ # Unpackaged 'multipart' dependency
+ tests/test_formparsers.py
+)
+
+EPYTEST_DESELECT=(
+ # Unpackaged 'multipart' dependency
+ tests/test_requests.py::test_request_form_urlencoded
+)
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # fix accept-encoding, as new support was added with newer versions
+ sed -e '/accept-encoding/s/",/, br&/' -i tests/test_{websockets,requests}.py || die
+
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/trove-classifiers/Manifest b/dev-python/trove-classifiers/Manifest
index f0f5f518ee06..86e72c48185f 100644
--- a/dev-python/trove-classifiers/Manifest
+++ b/dev-python/trove-classifiers/Manifest
@@ -1,13 +1,5 @@
-DIST trove-classifiers-2022.6.23.gh.tar.gz 14950 BLAKE2B 7203b8edb6f8a8886371a60f3c273b02b7fe045230a3a0c89a7282a896e513535a47fe06834fd6e33b98c480695b69be524dea1402f463f3c82fc80ddf8ac320 SHA512 c2c186b5d13f626a43f29a1eff6ebf2f17f8240af554f27ffdf05b506d428dd59582e7357a85b62f94714e024ae98ea216487726526639371c24c6b46b96df4e
-DIST trove-classifiers-2022.6.26.gh.tar.gz 14966 BLAKE2B 360a8a01d710456a7edf2f56ce5ca4645e0f5e79db09087a888556e6555a15fd6f6b0aa3112bf0f6c2652759fce93e76357775ca57e53615dd99c4f1b929303d SHA512 1857d53e7731ada3ca811222bab2d0734da0e18fdf36dcada166bd15b1f397cf8575963d8432eb2d0de571646da6b0b18299af3bb7e44fb225586aa76f6de35f
-DIST trove-classifiers-2022.7.22.gh.tar.gz 14999 BLAKE2B ba6647b8ccb0a8a791d91c48094f3a748866c7f80f92b28903bd09084b7a216b2ba824657ba5f8ef8988edf242140c0b449804f58d3c1522e857670a1f01d455 SHA512 7d60a18a7ee11e21021f5ccc131e9ca28769083776898d931dd92131ea7edecd7ecad17a7a9d6d2d11e19ab8ff6a6fc2373ff9938fc26567e0f7c4a0e903d3c1
-DIST trove-classifiers-2022.8.24.gh.tar.gz 15015 BLAKE2B 92a787e3dc80a06fe77462b0b5b443f36f8955b428c80efabe1d835f711eaf14e4748314e51355540a1566f792e83510393cd883ad9d7b4e586a497d0c863ca2 SHA512 a668835fe29e2a5052b531e8dba0003366793dd23ba5337a612e8f6242c519434c18c45101b0d7f397c2c6d07e2f965fe82f90bd9735266f3e86f07b8180cc93
DIST trove-classifiers-2022.8.31.gh.tar.gz 15020 BLAKE2B 3898164f5afe8c381894b7dfb07b0b2f5fb9f20b2b8b450bbde5651d71989cb39de674364e298e3fa67011a2f8f13c099bf92d67e4e79da33ac5e90e078af155 SHA512 bce304ca9d4b4b7a40272e69f4805de9798987baee2c14983fc809daa32b6c06479d1e24c64599228f3c6f3fa79709a2fee9b6661fdbcb40d539689e4fdd1595
-DIST trove-classifiers-2022.8.7.gh.tar.gz 14999 BLAKE2B e5ec3b122f357e61c62ef9d6bbb16addeeb59aad5d5bced9d7fa2325c545298c9e3fcf619c5b459b2734caa34f2e7281d1b0306b1832c9156223d94ba83a2206 SHA512 61b776e2c4cb79788a14c17cf10f3cafaa3364bce3927e0e328b2129b65efdac9948e54d74e4454df3a094b25e6eb23074b577c5eb5735cc1939342f5c5d06ce
-EBUILD trove-classifiers-2022.6.23.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
-EBUILD trove-classifiers-2022.6.26.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
-EBUILD trove-classifiers-2022.7.22.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
-EBUILD trove-classifiers-2022.8.24.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
+DIST trove-classifiers-2022.9.26.gh.tar.gz 15029 BLAKE2B f1a6dbee8dc03de54d4c5a9b61ab8493bf8ab8369d3ca99a1505459eaf4383f07246320d46a4aa2b75f2bae835932d28ed45ac983c47805dddd2c7ae3d86f647 SHA512 32fc05d993adb7c6056153c9250fcae519aae47f9b7b38a41c4bfec2f304d4bd1a7655d709ea387b887ec6a5a33b31b8dfa6edb112fb91453f8d4831d16baf98
EBUILD trove-classifiers-2022.8.31.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
-EBUILD trove-classifiers-2022.8.7.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
+EBUILD trove-classifiers-2022.9.26.ebuild 659 BLAKE2B c50af928a84398969b7e57b00688ab13dda9ae3a476560222ba27590ded65d6a1eafbe79b2d1730a8fae8e714a7b39ea0b892808b46941e81a862cf02885ec82 SHA512 9081abb9b701b392d6528fc0242c79d72e145a2e6f620b965148e8bbdab7faad10034b23f8557ae16a08ef45b10ce9a9814e386ea0c5e8d6ed82daf710629d34
MISC metadata.xml 361 BLAKE2B fd91e587a440e18c3030c6ae2992cda3d70ddb506eb78dfdff7b3e8b2d6456fd0cb13b56a7cb360bb80cdb38686d52938b5d6e9d873071e20a0802b11836181e SHA512 d34a508b050c6f1148e8ff6175b7f5f3dfa8aace0be8c02a01dae94b3824e7c1995deef16e5ad518e4260f51814dcab5f2afbc8b13126b1babe117746bf99ab7
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.6.26.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.6.26.ebuild
deleted file mode 100644
index 964617661415..000000000000
--- a/dev-python/trove-classifiers/trove-classifiers-2022.6.26.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
-HOMEPAGE="
- https://github.com/pypa/trove-classifiers/
- https://pypi.org/project/trove-classifiers/
-"
-SRC_URI="
- https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- dev-python/calver[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest
- "${EPYTHON}" -m tests.lib || die
-}
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild
deleted file mode 100644
index 964617661415..000000000000
--- a/dev-python/trove-classifiers/trove-classifiers-2022.7.22.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
-HOMEPAGE="
- https://github.com/pypa/trove-classifiers/
- https://pypi.org/project/trove-classifiers/
-"
-SRC_URI="
- https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- dev-python/calver[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest
- "${EPYTHON}" -m tests.lib || die
-}
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.8.24.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.8.24.ebuild
deleted file mode 100644
index 964617661415..000000000000
--- a/dev-python/trove-classifiers/trove-classifiers-2022.8.24.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
-HOMEPAGE="
- https://github.com/pypa/trove-classifiers/
- https://pypi.org/project/trove-classifiers/
-"
-SRC_URI="
- https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- dev-python/calver[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest
- "${EPYTHON}" -m tests.lib || die
-}
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.8.7.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.8.7.ebuild
deleted file mode 100644
index 964617661415..000000000000
--- a/dev-python/trove-classifiers/trove-classifiers-2022.8.7.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( pypy3 python3_{8..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="Canonical source for classifiers on PyPI (pypi.org)"
-HOMEPAGE="
- https://github.com/pypa/trove-classifiers/
- https://pypi.org/project/trove-classifiers/
-"
-SRC_URI="
- https://github.com/pypa/trove-classifiers/archive/${PV}.tar.gz
- -> ${P}.gh.tar.gz
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64"
-
-BDEPEND="
- dev-python/calver[${PYTHON_USEDEP}]
-"
-
-distutils_enable_tests pytest
-
-python_test() {
- epytest
- "${EPYTHON}" -m tests.lib || die
-}
diff --git a/dev-python/trove-classifiers/trove-classifiers-2022.6.23.ebuild b/dev-python/trove-classifiers/trove-classifiers-2022.9.26.ebuild
index 964617661415..964617661415 100644
--- a/dev-python/trove-classifiers/trove-classifiers-2022.6.23.ebuild
+++ b/dev-python/trove-classifiers/trove-classifiers-2022.9.26.ebuild
diff --git a/dev-python/yamlpath/Manifest b/dev-python/yamlpath/Manifest
index e5ce2eeb57e7..41cf0ad96967 100644
--- a/dev-python/yamlpath/Manifest
+++ b/dev-python/yamlpath/Manifest
@@ -1,5 +1,7 @@
DIST yamlpath-3.6.4.gh.tar.gz 216016 BLAKE2B fc6537b7c80ecfb9f69c646970e43935374bb105df007c123cf837eb1de6827ac2cc443294b69500c966ea6bc5d7f56498aec13340238c7660118f17cc6685e5 SHA512 eb1ac0d5861818f4f4b57b07f9fa7f758846982abbb3ac4ec58a1adaca8ec36deba1e21ce3e13916e74a946512f4d66e341a9d45392ef7133d0293e5fd6f66c9
DIST yamlpath-3.6.5.gh.tar.gz 216508 BLAKE2B df1d849840356eb75d9e19a5b53ec94ce140d7474be2fde19ab7f438229d347f247ee3c0f25cef4948f71d95d6935aebc0f8e58bc869083849820f9d641d7f22 SHA512 1d80514516eb573b0c644af7eaab7211714e271cc4334db5d965e2da58f06d26b3cdcb8c1412d03151a196e1b48aeb0c0d5038364a09907bb2af1efa71dd71f3
+DIST yamlpath-3.6.6.gh.tar.gz 222605 BLAKE2B b8e4345e68bb03b9aa48f31813ead149a1e547bab36deacfc255b6d8bb62148ed11bed6495e3e8db14b48859717ee87386e6d740c8b33dbf16bf4923bc19bbcf SHA512 3699cd2af82c77b29de60d0912dd5fc858a7b10ac960a8944dd0566073a7bdf5bccc6378d5aa6e52498482e51aa00cb2cae53f2a089308617d1358d744b5efcc
EBUILD yamlpath-3.6.4.ebuild 1151 BLAKE2B 9cf93439ae4046e2b1b279804a7c434761048fe54de1142c1544e876cebf998ef1bd45f0b81a7f9cf8126cc68a1a8f97cba0a606ecc27542bd793a60b12583f1 SHA512 868e70308e51d795853c6aff2453626900e21f699f1a167fbe09490d02dc80ee67ef2caf193d2a1ae88dbfcf246796bfefda562d40e04c194ba3667d0bf9863a
EBUILD yamlpath-3.6.5.ebuild 1156 BLAKE2B eb66fdcd37a5ebf94857f9b26ec435a39cb70d854ac015a9b121151765a41d4132de395aef370eed51a40992cd801900a503eb95c979d921f5bc87302a374c43 SHA512 03798242ce9f91e09eb4f38b2c11fb84248b8da886f32564f4a0c3c51565580d5b79eddec42701c80a201521b00a9e6094c3d4e6223ea6197d970aae08ea64f7
+EBUILD yamlpath-3.6.6.ebuild 1200 BLAKE2B c2768713f6ad90d0db96741fe8766be80d0a4dcaaa1fab4bc4460f5179a55e5fb7a244f7208406159794fe9050db7e701deec2b0d0db4132a202d9816a7f5146 SHA512 5cb129d6b31f3c184dbcca82bae8ac085350f4b92e93969baa880e254af69f8ef64ae1b65876b4128ebe2c6d7856443900ea19a9ca2e305f4f2c12b127be4478
MISC metadata.xml 664 BLAKE2B cdf919f6a46dbc7ed8f2546509a623e0e784da711afaade20ec79b2861e8c83f54f755ce68ec2944bd0edb92f2e05b18a9c0ff93430c185574c41de2d789e03d SHA512 8020ca58f464e2aed71c01c29375b95dda238be6cdb94468a0abe50c7ce0270a42d723318f34cb4eb8728184cbe6769c7e666f43cffde37e6e9f42cab4d7292e
diff --git a/dev-python/yamlpath/yamlpath-3.6.6.ebuild b/dev-python/yamlpath/yamlpath-3.6.6.ebuild
new file mode 100644
index 000000000000..1517368d7013
--- /dev/null
+++ b/dev-python/yamlpath/yamlpath-3.6.6.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..11} )
+inherit distutils-r1
+
+DESCRIPTION="Command-line processors for YAML/JSON/Compatible data"
+HOMEPAGE="https://github.com/wwkimball/yamlpath https://github.com/wwkimball/yamlpath/wiki"
+SRC_URI="
+ https://github.com/wwkimball/yamlpath/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ dev-ruby/hiera-eyaml
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare_all() {
+ sed -e '/ruamel\.yaml/d' \
+ -e '/pytest-cov/d' \
+ -e "/find_packages/s/()/(exclude=\['tests'\])/" \
+ -i setup.py || die
+
+ touch yamlpath/patches/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # install and optimize yamlpath/patches/aliasstyle.py
+ local sitedir=$(python_get_sitedir)
+ [[ -d ${D}${sitedir} ]] || die "${D}${sitedir}: No such directory"
+ insinto "${sitedir}/yamlpath"
+ doins -r "${S}/yamlpath/patches"
+ python_optimize "${D}${sitedir}"
+}